std::geometric_distribution< _IntType > Class Template Reference
Numerics » Random Number Generation » Random Number Distributions » Bernoulli Distributions

`#include <random>`

## Classes

struct | param_type

## Public Types

typedef _IntType | result_type

## Public Member Functions

| geometric_distribution (const param_type &__p)
| geometric_distribution (double __p)
template<typename _ForwardIterator, typename _UniformRandomNumberGenerator>
void | __generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng)
template<typename _ForwardIterator, typename _UniformRandomNumberGenerator>
void | __generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator>
void | __generate (result_type *__f, result_type *__t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
result_type | max () const
result_type | min () const
template<typename _UniformRandomNumberGenerator>
result_type | operator() (_UniformRandomNumberGenerator &__urng)
template<typename _UniformRandomNumberGenerator>
result_type | operator() (_UniformRandomNumberGenerator &__urng, const param_type &__p)
double | p () const
param_type | param () const
void | param (const param_type &__param)
void | reset ()

## Friends

bool | operator== (const geometric_distribution &__d1, const geometric_distribution &__d2)

## Detailed Description

template<typename _IntType = int>
class std::geometric_distribution< _IntType >

A discrete geometric random number distribution.

The formula for the geometric probability density function is where is the parameter of the distribution.

Since
  C++11

Definition at line 4097 of file random.h.

## Member Typedef Documentation

## result_type

template<typename _IntType = int>

typedef _IntType std::geometric_distribution< _IntType >::result_type

The type of the range of the distribution.

Definition at line 4104 of file random.h.

## Constructor & Destructor Documentation

## geometric_distribution() [1/3]

template<typename _IntType = int>

std::geometric_distribution< _IntType >::geometric_distribution | ( |  | ) |

inline

Definition at line 4148 of file random.h.

## geometric_distribution() [2/3]

template<typename _IntType = int>

std::geometric_distribution< _IntType >::geometric_distribution | ( | double | __p | ) |

inline explicit

Definition at line 4151 of file random.h.

## geometric_distribution() [3/3]

template<typename _IntType = int>

std::geometric_distribution< _IntType >::geometric_distribution | ( | const param_type & | __p | ) |

inline explicit

Definition at line 4156 of file random.h.

## Member Function Documentation

## __generate() [1/3]

template<typename _IntType = int>
template<typename _ForwardIterator, typename _UniformRandomNumberGenerator>

void std::geometric_distribution< _IntType >::__generate | ( | _ForwardIterator | __f,
|  | _ForwardIterator | __t,
|  | _UniformRandomNumberGenerator & | __urng )

inline

Definition at line 4220 of file random.h.

## __generate() [2/3]

template<typename _IntType = int>
template<typename _ForwardIterator, typename _UniformRandomNumberGenerator>

void std::geometric_distribution< _IntType >::__generate | ( | _ForwardIterator | __f,
|  | _ForwardIterator | __t,
|  | _UniformRandomNumberGenerator & | __urng,
|  | const param_type & | __p )

inline

Definition at line 4227 of file random.h.

## __generate() [3/3]

template<typename _IntType = int>
template<typename _UniformRandomNumberGenerator>

void std::geometric_distribution< _IntType >::__generate | ( | result_type * | __f,
|  | result_type * | __t,
|  | _UniformRandomNumberGenerator & | __urng,
|  | const param_type & | __p )

inline

Definition at line 4234 of file random.h.

## max()

template<typename _IntType = int>

result_type std::geometric_distribution< _IntType >::max | ( |  | ) | const

inline

Returns the least upper bound value of the distribution.

Definition at line 4201 of file random.h.

## min()

template<typename _IntType = int>

result_type std::geometric_distribution< _IntType >::min | ( |  | ) | const

inline

Returns the greatest lower bound value of the distribution.

Definition at line 4194 of file random.h.

## operator()() [1/2]

template<typename _IntType = int>
template<typename _UniformRandomNumberGenerator>

result_type std::geometric_distribution< _IntType >::operator() | ( | _UniformRandomNumberGenerator & | __urng | ) |

inline

Generating functions.

Definition at line 4209 of file random.h.

Referenced by operator()().

## operator()() [2/2]

template<typename _IntType>
template<typename _UniformRandomNumberGenerator>

geometric_distribution< _IntType >::result_type std::geometric_distribution< _IntType >::operator() | ( | _UniformRandomNumberGenerator & | __urng,
|  | const param_type & | __p )

Definition at line 1053 of file bits/random.tcc.

## p()

template<typename _IntType = int>

double std::geometric_distribution< _IntType >::p | ( |  | ) | const

inline

Returns the distribution parameter `p`.

Definition at line 4172 of file random.h.

## param() [1/2]

template<typename _IntType = int>

param_type std::geometric_distribution< _IntType >::param | ( |  | ) | const

inline

Returns the parameter set of the distribution.

Definition at line 4179 of file random.h.

Referenced by std::operator>>().

## param() [2/2]

template<typename _IntType = int>

void std::geometric_distribution< _IntType >::param | ( | const param_type & | __param | ) |

inline

Sets the parameter set of the distribution.

Parameters

  __param | The new parameter set of the distribution.

Definition at line 4187 of file random.h.

## reset()

template<typename _IntType = int>

void std::geometric_distribution< _IntType >::reset | ( |  | ) |

inline

Resets the distribution state.

Does nothing for the geometric distribution.

Definition at line 4166 of file random.h.

## Friends And Related Symbol Documentation

## operator==

template<typename _IntType = int>

bool operator== | ( | const geometric_distribution< _IntType > & | __d1,
|  | const geometric_distribution< _IntType > & | __d2 )

friend

Return true if two geometric distributions have the same parameters.

Definition at line 4244 of file random.h.

The documentation for this class was generated from the following files:

- random.h
- bits/random.tcc